import _styled from "styled-components";
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { FloatingBox } from './FloatingBox';
import { FLOATING_BOX_SCHEME } from './constants';
export default {
  component: FloatingBox,
  title: 'Floating Box',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    },
    layout: 'fullscreen'
  }
};
var Template = function Template(props) {
  return /*#__PURE__*/React.createElement(FloatingBox, _extends({
    isVisible: true,
    renderTarget: /*#__PURE__*/React.createElement("div", null)
  }, props), /*#__PURE__*/React.createElement(_StyledDiv, null, /*#__PURE__*/React.createElement("pre", null, "Arbitrary JSX content")));
};
export var Default = Template.bind({});
Default.args = {
  scheme: FLOATING_BOX_SCHEME.LIGHT,
  'aria-label': 'A floating box'
};
export var Dark = Template.bind({});
Dark.storyName = 'Dark';
Dark.args = {
  scheme: FLOATING_BOX_SCHEME.DARK,
  'aria-label': 'A floating box'
};
var _StyledDiv = _styled("div").withConfig({
  displayName: "FloatingBoxstories___StyledDiv",
  componentId: "sc-1byw776-0"
})({
  padding: '0 1rem'
});